import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

const router = new Router({
  routes: [
    {
      path: '/',
      name: 'home',
      component: () => import('../views/home.vue'),
      title: '一键发单',
      icon: '/static/image/order-icon.png',
      children: [
        {
          path: '/',
          name: 'HomeIndex',
          title: '订单列表',
          component: () => import('../components/Home.vue')
        },
        {
          path: '/orderSearch',
          name: 'orderSearch',
          title: '订单查询',
          component: () => import('../components/orderSearch.vue')
        },
        {
          path: '/setUp/set',
          name: 'set',
          title: '订单',
          component: () => import('../components/set.vue')
        },
        {
          path: '/shopInfo/shopInfos',
          name: 'shopInfos',
          title: '列表',
          component: () => import('../components/shopInfo.vue')
        }
      ]
    }
  ]
})

export default router
